Skip to content

Dismiss a vocabulary suggestion

Mark the suggestion dismissed. The word is not suggested again. Needs the right to manage the team vocabulary.

POSThttps://api.aitronos.com/v1/vocabulary/suggestions/{suggestion_id}/dismiss

Path Parameters

suggestion_id string required

The suggestion ID.


Returns

suggestion object

The decided suggestion, with the fields of List vocabulary suggestions.

entry object or null

The entry an approval wrote, as returned by Get a vocabulary entry; null on dismiss.

cURL
curl -X POST "https://api.aitronos.com/v1/vocabulary/suggestions/vsug_4e8b2d6f1a3c5097/dismiss" \
  -H "X-API-Key: $FREDDY_API_KEY"

Response:

200 OK
{
  "suggestion": {
    "id": "vsug_4e8b2d6f1a3c5097",
    "term": "Kubernetes",
    "language": null,
    "source": "learned",
    "people_count": 4,
    "sounds_like": [
      "cube ernetes"
    ],
    "state": "dismissed",
    "decided_by_user_id": "usr_3c91d0a2b7e4",
    "decided_at": "2026-10-26T09:30:00Z",
    "list_id": null,
    "entry_id": null,
    "refreshed_at": "2026-10-26T09:30:00Z"
  },
  "entry": null
}